구텐베르크 편집기가 통합된 워드프레스 5.0 릴리즈

4

워드프레스에서 예고한 대로 12월 6일(우리나라 시각으로 12월 7일)에 워드프레스 5.0이 공식 릴리즈되었습니다. 아시다시피 워드프레스 5.0의 가장 큰 특징은 비주얼 에디터인 구텐베르크가 코어에 통합되었다는 점입니다.

새로운 버전을 설치하면 구텐베르크가 기본 편집기로 탑재되어 있고 2019년 공식 테마인 Twenty Nineteen 테마가 함께 설치됩니다. 구텐베르크의 UI는 아직 한글화가 되지 않았습니다.

워드프레스 5.0에 탑재된 구텐베르크 편집기. 아직은 대부분 UI가 한글로 번역되지 않았다.
워드프레스 5.0에 탑재된 Twenty Nineteen 테마
워드프레스 5.0에 탑재된 Twenty Nineteen 테마 스크린샷.

새로운 편집기의 편리하고 강력한 기능을 이용하려는 경우 구텐베르크를 이용하면 좋을 듯 합니다. 하지만 저는 관리 중인 모든 사이트에서 Classic Editor(고전 편집기) 플러그인을 설치하여 기본 편집기를 ‘고전 편집기’로 바꾸었습니다.

새로운 워드프레스 버전으로 업그레이드하기 전에 백업을 철저히 받아놓는 것이 좋습니다. (메이저 업데이트를 진행할 때에는 항상 백업을 받는 것이 안전합니다.)

워드프레스 5.0으로 업데이트한 후에 사이트가 제대로 작동하는지 확인해보시기 바랍니다. 아바다 테마에서 테스트해보니 제대로 작동하네요. Divi 테마의 경우 워드프레스 5.0 릴리즈 직후에는 구텐베르크가 제대로 작동하지 않았지만 방금 전 Elegant Themes에서 구텐베르크와 호환이 되도록 업데이트된 Divi 버전(3.18.1 버전)을 내놓았습니다.

내년 1월에 여러 차례 패치가 예정되어 있습니다. 그러므로 1월에 버그가 수정된 버전이 나올 때 워드프레스 5.0으로 업데이트하는 것도 한 방법입니다. 유명한 SEO 플러그인을 만든 Yoast에서는 지금 바쁘거나 휴가 중이라면 내년 1월까지 기다릴 것을 권장하고 있습니다. 참고로 5.0이 릴리즈된 12월 6일은 유럽의 많은 나라에서 공휴일이라고 하네요.

많은 사용자들의 반발이 있었지만 뮬런버그(Matt Mullenweg)가 독단적으로 밀어붙여서 마침내 워드프레스 5.0이 정식으로 출시되었습니다. 구텐베르크 도입이 워드프레스에 득이 될지 아니면 독이 될지 모르겠습니다. 개인적으로는 구텐베르크를 사용자들이 선택할 수 있도록 했다면 더 좋지 않았을까 생각되네요. 구텐베르크를 사용하지 않으려면 구텐베르크가가 통합된 상태에서 별도의 플러그인을 설치해야 하는 번거로움이 있습니다.


기본 편집기를 구텐베르크에서 고전 편집기로 바꾸는 방법 (구텐베르크 비활성화)

워드프레스 5.0에서 구텐베르크를 비활성화하려는 경우 다음 코드를 사용 중인 함수 파일에 추가하면 됩니다.

// Disable Gutenberg
add_filter('use_block_editor_for_post', '__return_false');

위의 코드를 차일드 테마 내의 함수 파일에 추가하시기 바랍니다. 그렇지 않으면 추후 테마가 업데이트되면 수정 사항이 사라지게 됩니다.

그리고 Classic Editor를 설치하면 기본 편집기를 고전 편집기로 바꿀 수 있습니다.

고전 편집기 - 워드프레스

플러그인 추가에서 Classic Editor로 검색하여 “고전 편집기”를 설치하여 활성화합니다. 그런 다음 설정 > 쓰기에서 기본 편집기를 선택할 수 있습니다.

이 방법을 사용하면 구텐베르크(블록 에디터)와 고전 편집기 중에서 기본 편집기를 선택할 수 있습니다.

*일부 글에 제휴링크가 포함될 수 있습니다.기부를 통해 블로그 운영을 후원하실 수 있습니다.

Related Posts

4개 댓글
  1. 열매맺는나무

    마크다운을 사용하는 제게 구텐베르크는 오히려 불편하더군요. 저도 classic editor 플러그인 설치했습니다.

    1. Word

      구텐베르크에 익숙해지면 효과적으로 글을 작성할 수 있을 것입니다.

      하지만 테마나 플러그인 충돌 때문에 제대로 실행되지 않는 사용자들이 계시네요.

      저는 글을 복잡한 서식으로 작성할 이유가 없기 때문에 한동안 classic editor를 사용할 예정입니다.

  2. 이카루스

    오늘 아침에 워드님의 글을 보고 알았습니다.
    업데이트를 할까말까 하다가 했습니다. 다행히 별 이상한 점은 없는 듯 해요..
    글은 고전 편집기로 했어요.. 굳이 이것을 사용할 이유가 아직 없어서..^^

    1. Word

      저도 글은 고전 편집기로 충분하여 고전 편집기를 계속 사용할 예정입니다.

      Classic Editor 플러그인이 2011년 말까지 지원된다고 하네요.

댓글 남기기